Bug 536692 - SDL sound no longer works with QEMU
SDL sound no longer works with QEMU
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-10 18:35 EST by Andrew McNabb
Modified: 2012-01-24 16:50 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-24 16:50:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew McNabb 2009-11-10 18:35:06 EST
When I tested Fedora 12 Alpha, sound from virtual machines worked just fine.  Sound from virtual machines also worked fine in Fedora 11.  However, in the current version of Fedora 12, there isn't any sound.

I have libvirt-0.7.1-15.fc12.x86_64 and qemu-kvm-0.11.0-11.fc12.x86_64.  I have SELinux disabled system-wide (and the -soundhw option is correctly being passed to qemu-kvm).  I am using SDL for display, so the inability to send sound over VNC shouldn't be relevant.

Is there any other information that I can provide that would be helpful?
Comment 1 Andrew McNabb 2009-11-10 18:42:00 EST
By the way, I tried to downgrade to libvirt-0.7.1-7.fc12.x86_64 just in case the change in libvirt-0.7.1-8 caused the problem, but this didn't make any difference.
Comment 2 Cole Robinson 2009-11-16 13:57:42 EST

*** This bug has been marked as a duplicate of bug 508317 ***
Comment 3 Cole Robinson 2010-05-11 11:57:15 EDT
Re-opening, I did dup this a bit too vigorously. As Andrew mentioned in duped bug, SDL and a sound device with a default libvirt config errors with this in the log:

LC_ALL=C PATH=/sbin:/usr/sbin:/bin:/usr/bin XAUTHORITY=/home/boston/crobinso/.Xauthority DISPLAY=:0.0 /usr/bin/qemu-kvm -S -M fedora-13 -enable-kvm -m 2048 -smp 1,sockets=1,cores=1,threads=1 -name live -uuid 5a550a86-8622-34f4-e739-4db2113436a8 -nodefaults -chardev socket,id=monitor,path=/var/lib/libvirt/qemu/live.monitor,server,nowait -mon chardev=monitor,mode=readline -rtc base=utc -boot d -drive file=/var/lib/libvirt/images/F13-Beta-x86_64-Live.iso,if=none,media=cdrom,id=drive-ide0-1-0 -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 -device rtl8139,vlan=0,id=net0,mac=52:54:00:2b:7f:8e,bus=pci.0,addr=0x4 -net tap,fd=21,vlan=0,name=hostnet0 -chardev pty,id=serial0 -device isa-serial,chardev=serial0 -usb -sdl -vga cirrus -device AC97,id=sound0,bus=pci.0,addr=0x5 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x3
char device redirected to /dev/pts/1
No protocol specified
XOpenDisplay() failed
Home directory / not ours.
W: core-util.c: Failed to open configuration file '//.pulse//daemon.conf': Permission denied
W: daemon-conf.c: Failed to open configuration file: Permission denied
pulseaudio: pa_simple_new for capture failed
pulseaudio: Reason: Connection refused
No protocol specified
XOpenDisplay() failed
Home directory / not ours.
W: core-util.c: Failed to open configuration file '//.pulse//daemon.conf': Permission denied
W: daemon-conf.c: Failed to open configuration file: Permission denied
pulseaudio: pa_simple_new for capture failed
pulseaudio: Reason: Connection refused
audio: Failed to create voice `ac97.pi'
No protocol specified
XOpenDisplay() failed
Home directory / not ours.
W: core-util.c: Failed to open configuration file '//.pulse//daemon.conf': Permission denied
W: daemon-conf.c: Failed to open configuration file: Permission denied
pulseaudio: pa_simple_new for playback failed
pulseaudio: Reason: Connection refused
No protocol specified
XOpenDisplay() failed
Home directory / not ours.
W: core-util.c: Failed to open configuration file '//.pulse//daemon.conf': Permission denied
W: daemon-conf.c: Failed to open configuration file: Permission denied
pulseaudio: pa_simple_new for playback failed
pulseaudio: Reason: Connection refused
audio: Failed to create voice `ac97.po'
No protocol specified
XOpenDisplay() failed
Home directory / not ours.
W: core-util.c: Failed to open configuration file '//.pulse//daemon.conf': Permission denied
W: daemon-conf.c: Failed to open configuration file: Permission denied
pulseaudio: pa_simple_new for capture failed
pulseaudio: Reason: Connection refused
No protocol specified
XOpenDisplay() failed
Home directory / not ours.
W: core-util.c: Failed to open configuration file '//.pulse//daemon.conf': Permission denied
W: daemon-conf.c: Failed to open configuration file: Permission denied
pulseaudio: pa_simple_new for capture failed
pulseaudio: Reason: Connection refused
audio: Failed to create voice `ac97.mc'
No protocol specified
No protocol specified
Could not initialize SDL - exiting


Setting security_driver='none' in /etc/libvirt/qemu.conf doesn't change anything. Setting user and group to 'root' lets the VM launch, but no sound, and a bunch of the following errors are in the log file:

char device redirected to /dev/pts/1
pulseaudio: pa_simple_new for capture failed
pulseaudio: Reason: Connection refused
pulseaudio: pa_simple_new for capture failed
pulseaudio: Reason: Connection refused
audio: Failed to create voice `ac97.pi'
Comment 4 Cole Robinson 2010-07-12 13:13:22 EDT
I've posted workaround steps to get audio and SDL working:

https://fedoraproject.org/wiki/How_to_debug_Virtualization_problems#Audio_output
Comment 5 Bug Zapper 2010-11-04 02:34:55 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora Admin XMLRPC Client 2011-09-22 13:59:07 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2011-09-22 14:03:04 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2011-11-30 14:58:55 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Admin XMLRPC Client 2011-11-30 14:59:44 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora Admin XMLRPC Client 2011-11-30 15:05:03 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Fedora Admin XMLRPC Client 2011-11-30 15:05:16 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 12 Cole Robinson 2012-01-24 16:50:20 EST
F14 is EOL. F16 also has sound working out of the box with spice, so I'd recommend using that if possible.

Note You need to log in before you can comment on or make changes to this bug.